const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const exe = b.addExecutable(.{
        .name = "chirp",
        .root_module = b.createModule(.{
            .root_source_file = b.path("src/main.zig"),
            .target = target,
            .optimize = optimize,
        }),
    });

    // other modules
    exe.root_module.omit_frame_pointer = false;

    const lmdb = b.dependency("lmdb", .{ .target = target, .optimize = optimize });

    exe.root_module.addImport("lmdb", lmdb.module("lmdb"));
    exe.root_module.addImport("db", lmdb.module("db"));
    exe.root_module.link_libc = true;

    b.installArtifact(exe);

    const run_cmd = b.addRunArtifact(exe);
    run_cmd.step.dependOn(b.getInstallStep());

    const run_step = b.step("run", "Run the app");
    run_step.dependOn(&run_cmd.step);
}
